<?
//Автор: DjBoBaH 
//Сайт: http://my-perm.net 
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg('/reg.php');

if(isset($_GET['s']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['s'])."' LIMIT 1"),0)==1)
{
$s=intval($_GET['s']);
$soo=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$s' LIMIT 1"));
include_once 'inc/ban.php';
if(isset($_GET['rules']))
{
$set['title']=$soo['name'].' - Правила сообщества'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
echo'<div class="menu">';
echo''.output_text($soo['rules']).'';
echo'</div>';
echo'<a href="?s='.$soo['id'].'">В сообщество</a><br/>';
}
else
{
$set['title']=$soo['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
include_once 'inc/user_act.php';
echo'http://LaFaC.Ru /soo/'.$soo['id'].'<br/>';
if(!isset($user) || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_user` = '$user[id]' AND `id_soo`='$soo[id]' AND `activate`='0' AND `invit`='0' LIMIT 1"),0)==0 && $user['id']!=$soo['admid'])
{
if($soo['konf_soo']==0 || $soo['konf_soo']==1)echo'<img src="img/open.png" alt=""/> Открыто для вступления'; elseif($soo['konf_soo']==2)echo'<img src="img/money.png" alt=""/> Вступление платное'; elseif($soo['konf_soo']==3)echo'<img src="img/close.png" alt=""/> Закрыто для вступления';
if($soo['konf_soo']==0)echo'<br/><img src="img/open.png" alt=""/> Открыто для чтения'; else echo'<br/><img src="img/close.png" alt=""/> Закрыто для чтения';
}
echo'<table class="post">';
echo '<tr>';
echo'<td class="icon48" rowspan="2">';
if (is_file(H."soo/logo/$soo[id].gif"))
echo '<img src="logo/'.$soo['id'].'.gif" alt="" />';
elseif (is_file(H."soo/logo/$soo[id].jpg"))
echo '<img src="logo/'.$soo['id'].'.jpg" alt="" />';
elseif (is_file(H."soo/logo/$soo[id].png"))
echo '<img src="logo/'.$soo['id'].'.png" alt="" />';
else
echo '<img src="/style/user/user.png" alt="" />';
echo'</td>';
echo '<td class="p_m">';
echo''.$soo['name'].' <span style="color:green">['.vremja($soo['time']).']</span><br/>';

echo''.output_text($soo['desc']).'';
echo'</td>';
echo'</tr>';
echo'</table>';
if($soo['conf_news']==1 && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_news` WHERE `id_soo` = '$soo[id]' LIMIT 1"),0)!=0)
{
if($soo['konf_soo']==0 || isset($user) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || isset($user) && $user['id']==$soo['admid'])
{
$news=mysql_fetch_array(mysql_query("SELECT * FROM `soo_news` WHERE `id_soo` = '$soo[id]' ORDER BY `time` DESC LIMIT 1"));
echo'<div class="news"><img src="/style/themes/'.$set['set_them'].'/icons/news.png" alt="" /> <b>'.$news['name'].'</b> ('.vremja($news['time']).')<br/>';
echo''.output_text($news['mess']).'</div>';
}
}
echo'<div class="main_menu">';
$count_forum_t = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_forum_thems` WHERE `id_soo` = '$soo[id]'"),0);
$count_forum_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_forum_mess` WHERE `id_soo` = '$soo[id]'"),0);
$count_news = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_news` WHERE `id_soo` = '$soo[id]'"),0);
$count_chat = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_chat` WHERE `id_soo` = '$soo[id]'"),0);
$count_obmen = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_obmen_files` WHERE `id_soo` = '$soo[id]'"), 0);
$count_obmen_new_files = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_obmen_files` WHERE `time` > '".(time()-86400)."' AND `id_soo` = '$soo[id]'"), 0);
if($count_obmen_new_files==0){$count_obmen_new==NULL;}else{$count_obmen_new='/+'.$count_obmen_new_files.'';}
$count_votes_open = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_votes` WHERE `id_soo` = '$soo[id]' AND `time_close`>'$time'"),0);
$count_votes_all = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_votes` WHERE `id_soo` = '$soo[id]'"),0);
$count_users = $soo['users']+1;
$count_banned = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `activate`='0' AND `invit`='0' AND `ban`>'$time'"),0);
$count_friends = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_friends` WHERE `id_soo` = '$soo[id]'"),0);
echo'<div class="menu_razd">Меню сообщества</div>';
if($soo['rules']!=NULL)echo'<img src="img/rules.png" alt=""/> <a href="index.php?s='.$soo['id'].'&rules">Правила сообщества</a><br/>';
echo'<img src="img/rss.png" alt=""/> <a href="news.php?s='.$soo['id'].'">Новости</a> ('.$count_news.')<br/>';
echo'<img src="img/forum.png" alt=""/> <a href="forum.php?s='.$soo['id'].'">Форум</a> ('.$count_forum_t.'/'.$count_forum_p.')<br/>';
echo'<img src="img/chat.png" alt=""/> <a href="chat.php?s='.$soo['id'].'">Мини-чат</a> ('.$count_chat.')<br/>';
echo'<img src="img/obmen.png" alt=""/> <a href="obmen.php?s='.$soo['id'].'">Обменник</a> ('.$count_obmen.''.$count_obmen_new.')<br/>';
echo'<img src="img/votes.png" alt=""/> <a href="votes.php?s='.$soo['id'].'">Опросы</a> ('.$count_votes_open.'/'.$count_votes_all.')<br/>';
echo'<img src="img/users.png" alt=""/> <a href="users.php?s='.$soo['id'].'">Участники</a> ('.$count_users.')<br/>';
echo'<img src="img/banned.png" alt=""/> <a href="banned.php?s='.$soo['id'].'">Забаненные</a> ('.$count_banned.')<br/>';
echo'<img src="img/cat.png" alt=""/> <a href="friends.php?s='.$soo['id'].'">Друзья соо</a> ('.$count_friends.')<br/>';
echo'</div><div class="foot">';
if(isset($user))
{
if($user['id']==$soo['admid'])echo'<img src="img/admin.png" alt=""/> <a href="admin.php?s='.$soo['id'].'">Управление</a><br/>';
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' LIMIT 1"),0)==0 && $user['id']!=$soo['admid'])
{
if($soo['konf_soo']==0 || $soo['konf_soo']==1 || $soo['konf_soo']==3)
{
echo'<img src="img/open.png" alt=""/> <a href="index.php?s='.$soo['id'].'&enter">Вступить в соо</a><br/>';
}
elseif($soo['konf_soo']==2 && $user['balls']>=$soo['plata'])
{
echo'<img src="img/open.png" alt=""/> <a href="index.php?s='.$soo['id'].'&enter">Вступить в соо</a>(<b>'.$soo['plata'].' баллов</b>)<br/>';
}
elseif($soo['konf_soo']==2 && $user['balls']<$soo['plata'])
{
echo'<img src="img/close.png" alt=""/> Для вступления необходимо <b>'.$soo['plata'].'</b> баллов';
}
}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='1' LIMIT 1"),0)==1)
{
echo'<img src="img/open.png" alt=""/> <a href="index.php?s='.$soo['id'].'&yes">Принять приглавшение</a><br/>';
echo'<img src="img/close.png" alt=""/> <a href="index.php?s='.$soo['id'].'&no">Отклонить приглашение</a><br/>';
}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_users` WHERE `id_soo` = '$soo[id]' AND `id_user`='$user[id]' AND `invit`='0' AND `activate`='0' LIMIT 1"),0)==1 || $user['id']==$soo['admid'])
{
echo'<img src="img/invite.png" alt=""/> <a href="users.php?s='.$soo['id'].'&invite">Пригласить в соо</a><br/>';
if($user['id']!=$soo['admid'])echo'<img src="img/close.png" alt=""/> <a href="index.php?s='.$soo['id'].'&exit">Покинуть соо</a><br/>';
}
}
echo'</div>';
echo'<img src="img/back.png" alt=""/> <a href="/soo/">Сообщества</a>/<a href="/soo/?r='.$soo['id_cat'].'">'.mysql_result(mysql_query("SELECT `name` FROM `soo_cat` WHERE `id` = '$soo[id_cat]' LIMIT 1"),0).'</a><br/>';
}
}
elseif(isset($_GET['r']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo_cat` WHERE `id` = '".intval($_GET['r'])."' LIMIT 1"),0)==1)
{
$r=intval($_GET['r']);
$razdel=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo_cat` WHERE `id` = '$r' LIMIT 1"));

if(isset($_GET['new']) && isset($user))
{
$timediff=mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$user[id]' LIMIT 1",$db), 0);
if($timediff < 7200)
{
include_once '../sys/inc/thead.php';
title();
echo "<div class='rekl_main'>\n";

echo"<center> Извените, но на данный момент Вы не можите создать своё Сообщество !!! <br/> Что бы создать своё Сообщество, Вам необходимо провести 2 часа на нашем сайте. За это время Вы можете по ближе познакомиться с сайтом и заполнить свою <a href='/prof.php'><font color='red'>Анкету </font></a> или же поиграть в  <br/><a href='/games/'><font color='red'>Онлайн игры </font></a>  <img src='/style/smiles/gy.gif' alt='' class='icon'/></center>";






////echo 'Извените, но на данный момент Вы не можите создать своё Сообщество !!! <br/>
///Что бы создать своё Сообщество, Вам необходимо провести 2 часа на нашем сайте.<br/> За это время Вы можете по ближе познакомиться с сайтом и заполнить свою ///анкету или же поиграть в онлайн Игры!';
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
}
$set['title']='Сообщества - '.$razdel['name'].' - Новое сообщество'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
$limit = 3;
$time_create = 60*60*24*30;
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$user[id]' LIMIT 1"),0)>=$limit && $user['level']<3)
{
echo'Максимальное количество сообществ на одного человека <b>'.$limit.'</b>, у Вас уже столько имеется<br/>';
}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$user[id]' LIMIT 1"),0)!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$user[id]' LIMIT 1"),0)<$limit && $user['level']<3)
{
$last_soo = mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `admid` = '$user[id]' ORDER BY `time` DESC LIMIT 1"));
$time_new = $last_soo['time']+$time_create;
if($time<$time_new)
{
echo'<div class="err">Нельзя так часто создавать сообщества.Следующая возможность у Вас будет '.vremja($time_new).'</div>';
}
else
{
include_once 'inc/new_act.php';
include_once 'inc/new_form.php';
}
}
elseif(mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `admid` = '$user[id]' LIMIT 1"),0)==0 || $user['level']>=3)
{
include_once 'inc/new_act.php';
include_once 'inc/new_form.php';
}
err();
echo'<img src="img/back.png" alt=""/> <a href="/soo/">Сообщества</a>/<a href="/soo/?r='.$r.'">'.mysql_result(mysql_query("SELECT `name` FROM `soo_cat` WHERE `id` = '$r' LIMIT 1"),0).'</a><br/>';
}
else
{
$set['title']='Сообщества - '.$razdel['name']; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
if(isset($_GET['sort']))
{
if($_GET['sort']=='users'){$sort='users'; $por='DESC';}
elseif($_GET['sort']=='open'){$sort='konf_soo'; $por='ASC';}
else{$sort='time'; $por='DESC';}
}
else
{
$sort='time'; $por='DESC';
}

if(isset($user) && $user['level']>3 && isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1"),0)==1)
{
$delid=intval($_GET['del']);
$del=mysql_fetch_assoc(mysql_query("SELECT * FROM `soo` WHERE `id` = '$delid' LIMIT 1"));
$deladm=get_user($del['admid']);
if($user['id']!=$deladm['id'] && $user['level']>$deladm['level'] || $user['id']==$deladm['id'])
{
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `soo_users` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_chat` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_news` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_bl` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_friends` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_friends` WHERE `id_friend`='$delid'");
mysql_query("DELETE FROM `soo_votes` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_votes_otvet` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_forums` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_forum_thems` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_forum_mess` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo` WHERE `id`='$delid'");
mysql_query("DELETE FROM `soo_obmen_dir` WHERE `id_soo`='$delid'");
$q=mysql_query("SELECT * FROM `soo_obmen_files` WHERE `id_soo`='$soo[id]'");
while ($delete = mysql_fetch_assoc($q))
{
unlink(H.'sys/soo/obmen/files/'.$delete['id'].'.dat');
}
mysql_query("DELETE FROM `soo_obmen_files` WHERE `id_soo`='$delid'");
mysql_query("DELETE FROM `soo_obmen_komm` WHERE `id_soo`='$delid'");
msg('Сообщество успешно удалено');
}
else
{
echo'<div class="err">Вы уверены,что хотите удалить данное сообщество?<br/>';
echo'<a href="?r='.$r.'&del='.$delid.'&ok">Да</a> | <a href="?r='.$r.'">Нет</a></div>';
}
}
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id_cat`='$r'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

echo'<div class="foot">';
echo'Сортировать:<br/> <a href="?r='.$r.'&sort=users&page='.$page.'">Популярные</a> <a href="?r='.$r.'&sort=time&page='.$page.'">Новые</a> <a href="?r='.$r.'&sort=open&page='.$page.'">Открытые</a></div>';


echo'<img src="img/open.png" alt="open"/> - Открытые для вступления<br/>';
echo'<img src="img/close.png" alt="close"/> - Закрытые для вступления<br/>';
echo'<img src="img/money.png" alt="money"/> - Вступление платное(за баллы)<br/>';




echo '<table class="post">';
if ($k_post==0)
{
echo '<tr>';
echo '<td class="p_t">';
echo 'Нет сообществ в данной категории';
echo '</td>';
echo '</tr>';
}
$q=mysql_query("SELECT * FROM `soo` WHERE `id_cat`='$r' ORDER BY $sort $por LIMIT $start, $set[p_str]");
while ($comm = mysql_fetch_assoc($q))
{
echo '<tr>';
echo '<td class="icon14">';
if($comm['konf_soo']==0 || $comm['konf_soo']==1)echo'<img src="img/open.png" alt="open"/>'; elseif($comm['konf_soo']==2)echo'<img src="img/money.png" alt="money"/>'; else echo'<img src="img/close.png" alt="close"/>';
echo '</td>';
echo '<td class="p_m">';
echo '<a href="/soo/'.$comm['id'].'">'.$comm['name'].'</a>';
if($comm['ban']!=NULL && $comm['ban']>$time)echo'[BAN]';
$count = $comm['users']+1;
if(isset($_GET['sort']) && $_GET['sort']=='users')echo'(Участников: '.$count.')'; else echo'('.vremja($comm['time']).')';
echo "<br/>";


echo '<span class="ank_n">Описание: '.output_text($comm['desc']).'</span><br />';

$admid=get_user($comm['admid']);
if(isset($user) && $user['level']>=3 && $user['id']!=$comm['admid'] && $user['level']>$admid['level'])
{
echo'[<a href="ban.php?s='.$comm['id'].'">Нарушения</a>]';
}
if(isset($user) && $user['level']>3 && ($user['id']!=$comm['admid'] && $user['level']>$admid['level'] || $user['id']==$comm['admid']))
{
echo'[<a href="?r='.$r.'&del='.$comm['id'].'">Удалить соо</a>]';
}

echo '</td>';
echo '</tr>';
}
echo '</table>';
if ($k_page>1)str("?r=$r&sort=$sort&$por&",$k_page,$page); // Вывод страниц
if(isset($user))echo'<img src="img/add.png" alt=""/> <a href="?r='.$r.'&new">Создать соо</a><br/>';
echo'<img src="img/back.png" alt=""/> <a href="/soo/">Сообщества</a><br/>';
}
}
else
{
$set['title']='Сообщества - Категории'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
if(isset($user) && $user['level']>2)
{
include_once 'inc/admin_soo_act.php';
}
echo '<table class="post">';
echo '<div class="rekl_main"><a href="top.php">Топ сообществ</a></div>';
$q=mysql_query("SELECT * FROM `soo_cat` ORDER BY `name` ASC");
if (mysql_num_rows($q)==0) {
echo '<tr>';
echo '<td class="p_t">';
echo 'Нет категорий';
echo '</td>';
echo '</tr>';
}
while ($cat = mysql_fetch_assoc($q))
{
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `soo` WHERE `id_cat`='$cat[id]'"),0);
echo '<tr>';

echo '<td class="info_razd">';
echo '<img src="img/cat.png" alt=""/> ';
echo' <a href="?r='.$cat['id'].'">'.$cat['name'].'</a> ('.$count.')';echo '<br/>';
if ($cat['desc']!=NULL)
{
echo ''.output_text($cat['desc']).'<br />'; 
}

if(isset($user) && $user['level']>2)
{
echo' [<a href="?edit='.$cat['id'].'">ред</a>][<a href="?del='.$cat['id'].'">удл</a>]<br/>';
}
echo '</td>';
echo '</tr>';
}
echo '</table>';
if(isset($user) && $user['level']>2)
{
include_once 'inc/admin_soo_form.php';
}
err();
}
include_once '../sys/inc/tfoot.php';
?>